// PictureStreamView.h : interface of the CPictureStreamView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PICTURESTREAMVIEW_H__B44E3816_464C_4680_B9C8_CDDF9CEBF360__INCLUDED_)
#define AFX_PICTURESTREAMVIEW_H__B44E3816_464C_4680_B9C8_CDDF9CEBF360__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPictureStreamView : public CScrollView
{
protected: // create from serialization only
	CPictureStreamView();
	DECLARE_DYNCREATE(CPictureStreamView)

// Attributes
public:
	CPictureStreamDoc*	GetDocument();
	CPictureObjList*	GetObjects();

// Operations
public:

	void InvalObj(CPictureObj* pObj);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPictureStreamView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPictureStreamView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	static CPoint		c_down;
	static UINT			c_nDownFlags;
	static CPoint		c_last;
	
	CPictureObj*		m_pSel;

// Generated message map functions
protected:
	//{{AFX_MSG(CPictureStreamView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPictureZoomin();
	afx_msg void OnUpdatePictureZoomin(CCmdUI* pCmdUI);
	afx_msg void OnPictureZoomout();
	afx_msg void OnUpdatePictureZoomout(CCmdUI* pCmdUI);
	afx_msg void OnEditClear();
	afx_msg void OnUpdateEditClear(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PictureStreamView.cpp
inline CPictureStreamDoc* CPictureStreamView::GetDocument()
   { return (CPictureStreamDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICTURESTREAMVIEW_H__B44E3816_464C_4680_B9C8_CDDF9CEBF360__INCLUDED_)
