// PictureStreamDoc.h : interface of the CPictureStreamDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PICTURESTREAMDOC_H__8BCC8DD4_3889_4881_BCB5_6161C6AB2EDA__INCLUDED_)
#define AFX_PICTURESTREAMDOC_H__8BCC8DD4_3889_4881_BCB5_6161C6AB2EDA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PictureObj.h"

typedef enum
{
	HINT_UPDATE_WINDOW,
	HINT_FIX_SCROLL,

} Hints;

class CPictureStreamDoc : public COleDocument
{
protected: // create from serialization only
	CPictureStreamDoc();
	DECLARE_DYNCREATE(CPictureStreamDoc)

// Attributes
public:

	CPictureObjList	m_objects;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPictureStreamDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPictureStreamDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPictureStreamDoc)
	afx_msg void OnPictureAdd();
	afx_msg void OnUpdatePictureAdd(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICTURESTREAMDOC_H__8BCC8DD4_3889_4881_BCB5_6161C6AB2EDA__INCLUDED_)
